http_port 10.126.12.35:8080
icp_port 3130
tcp_outgoing_address 10.126.12.35 
cache_peer 202.155.84.181 parent 8080 3130  
hierarchy_stoplist cgi-bin ? its-sby.edu its.ac.id indosat.net.id
acl QUERY urlpath_regex cgi-bin \? its-sby.edu its.ac.id indosat.net.id
no_cache deny QUERY
cache_mem 100 MB
cache_swap_low 90
cache_swap_high 95
maximum_object_size 32000 KB
minimum_object_size 1 bytes
maximum_object_size_in_memory 1024 KB
ipcache_size 10240
ipcache_low 90
ipcache_high 95
fqdncache_size 1024
cache_replacement_policy lru
memory_replacement_policy lru
cache_dir ufs /usr/local/squid/cache 100 16 256
cache_access_log /usr/local/squid/logs/access.log
cache_log /usr/local/squid/logs/cache.log
cache_store_log /usr/local/squid/logs/store.log
emulate_httpd_log off
pid_filename /usr/local/squid/logs/squid.pid
debug_options ALL,1
log_fqdn off
client_netmask 255.255.255.255
ftp_user Squid@Jupiter.its-sby.edu
ftp_list_width 32
ftp_passive on
dns_retransmit_interval 5 seconds
dns_timeout 5 minutes
dns_nameservers 202.155.84.178 202.155.84.179 202.155.0.20
authenticate_children 10
authenticate_ip_ttl_is_strict on
request_header_max_size 10 KB
request_body_max_size 1 MB
reply_body_max_size 0
refresh_pattern         .html         10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .asp$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .shtml$         10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .gif$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .jpg$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .png$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .jsp$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .js$            10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .com$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .edu$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .pdf$           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .php3$          10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .js$            10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         ^ftp:           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .asp           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .shtml         10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .gif           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .jpg           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .png           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .jsp           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .js            10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .com           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .edu           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .pdf           10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .php3          10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .js            10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
refresh_pattern         .               10000   10%     99000 override-lastmod override-expire reload-into-ims ignore-reload
reference_age 1 year
 quick_abort_min -1 KB
 quick_abort_max -1 KB
 quick_abort_pct 99
 range_offset_limit -1 KB
 connect_timeout 30 minutes
 peer_connect_timeout 60 seconds
 read_timeout 15 minutes
 request_timeout 300 seconds
 client_lifetime 1 day

acl detik dstdomain .detik.com
acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 10.126.12.35/255.255.255.255
acl Safe_ports port 8080
acl labkomputing src 10.126.12.0/255.255.255.0
acl Safe_ports port 21		# ftp
acl Safe_ports port 443 563	# https, snews
acl Safe_ports port 70		# gopher
acl Safe_ports port 210		# wais
acl Safe_ports port 1025-65535	# unregistered ports
acl Safe_ports port 280		# http-mgmt
acl Safe_ports port 488		# gss-http
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl CONNECT method CONNECT

always_direct allow detik
http_access allow localhost 
http_access allow labkomputing
http_access allow manager localhost
http_access allow Safe_ports
http_access deny manager
http_access deny all
icp_access allow all

incoming_icp_average 6
incoming_http_average 4
incoming_dns_average 4
min_icp_poll_cnt 8
min_dns_poll_cnt 8
min_http_poll_cnt 8
max_open_disk_fds 0
offline_mode on
uri_whitespace strip
prefer_direct on
client_persistent_connections off
server_persistent_connections off
pipeline_prefetch on
high_response_time_warning 0
high_page_fault_warning 0
high_memory_warning 0
store_dir_select_algorithm least-load
ie_refresh on

